Skip to main content
Get Ticket Message

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

ticketMessageId
integer<int32>
required

The identifier of the TicketMessage object

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Response

OK

The TicketMessage carrier is used for representing a service ticket message Carrier object for TicketMessage. Services for the TicketMessage Carrier is available from the Ticket Agent.

TicketMessageId
integer<int32>

The primary key (auto-incremented)

CreatedAt
string<date-time>

When the message was posted.

Slevel
enum<string>

The securitylevel of the message.

Available options:
Unknown,
Internal,
External
Important
boolean

If this message is important or not.

Author
string

A string representing the author of the message. Could be a user's name, or a persons email address.

PersonId
integer<int32>

Primary key

PersonFullName
string

Get the persons full name (internal name used in clients for employees).

ContactId
integer<int32>

Primary key

ContactName
string

Contact name

ContactDepartment
string

Department

NumAttachments
integer<int32>

Number of attachments in the message

EmailHeader
string

The email header is saved in this field as raw text

MessageHeaders
object[]

Contains the message headers, like To, Cc, Bcc information, or custom headers

Language
string

The language this message is in, based on some kind of analysis

Sentiment
integer<int32>

Sentiment index, 100 = completely happy; -100 = suicidally unhappy; 0 = no idea

SentimentConfidence
integer<int32>

Confidence of sentiment index, 0 = no idea, 100 = completely sure

CreatedBy
integer<int32>

The id of the user who posted the message. The value 1 (system user) for externally posted messages.

ChangedAt
string<date-time>

When the message was changed.

Badge
enum<string>

Badge to explicitly determine how a message was generated

Available options:
Unknown,
Reply,
Forward,
Comment,
Incoming,
Outgoing
TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.